package com.jeeplus.modules.filing.constructionStage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class SafetyQuality extends DataEntity<SafetyQuality> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 安全质量量化考核成果
     * */
    private String resultsSafety;
    /**
     * 工程荣誉
     * */
    private String engineeringHonors;

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="安全质量量化考核成果", align=2, sort=4)
    public String getResultsSafety() {
        return resultsSafety;
    }

    public void setResultsSafety(String resultsSafety) {
        this.resultsSafety = resultsSafety;
    }

    public String getEngineeringHonors() {
        return engineeringHonors;
    }

    public void setEngineeringHonors(String engineeringHonors) {
        this.engineeringHonors = engineeringHonors;
    }
}
